import java.util.*;

public class ExtendedSol{
	
	
	
	public ExtendedSol(ArrayList grille[][],int coorX,int coorY,int etendueX,int etendueY,String tile,int sonPas,boolean interieur){
		
		Surface sol=new Surface(true,tile,sonPas,interieur);
		
		int coY=coorY;
		for(int x=0;x<=etendueX;x++){
			coY=coorY;
			for(int y=0;y<=etendueY;y++){
			
			
				grille[coorX][coY].add(sol);
				coY++;
					
			}
			coorX++;
		}
		
	}
	
}